using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("评价人员表")]
    public class T_PE_SAFETY_EVALUATION_RECORD_USER : MesEntityBase
    {
        [Description("安全标准化内部评价记录表")]
        [DataFieldForeignKey("Nav_EvaluationRecord", "Nav_RecordUser")]
        public Guid? SAFETY_EVALUATION_RECORD_ID { get; set; }

        [Description("安全标准化内部评价记录表")]
        public virtual T_PE_SAFETY_EVALUATION_RECORD Nav_EvaluationRecord { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }
        [Description("分组")]
        public int? GROUP_NO { get; set; }

        [Description("序号")]
        public int ROW_NO { get; set; }
    }
}
